#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-HTML-Tree
Version		:	5.07
Release		:	17.0.10.rel%{?dist}
Summary		:	Parser that builds a HTML syntax tree

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/HTML::TreeBuilder

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(Module::Build) 

BuildArch	:	noarch

Requires	:	perl

Provides	:	perl(HTML::TreeBuilder) 
#-----------------------------------------------------------------------------
%description
This class is for HTML syntax trees that get built out of HTML source.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/htmltree
%{_datadir}/perl5/site_perl/HTML/*.pm
%{_datadir}/perl5/site_perl/HTML/Element/*.pm
%{_datadir}/perl5/site_perl/HTML/Tree/*.pod
%{_mandir}/man1/htmltree.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Build.PL						\
	installdir=perl						\

./Build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

./Build								\
	destdir=%{buildroot}					\
	install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
